close all; clear all;
randn('seed',2018);rand('seed',2018)

%% setup
D = 60;  N = 1500;
ratio = 1 ./ (1 ./ 0.7 - 1);
M = floor(N * ratio);
d = 50;
c = D-d;
S = orth(randn(D,d));
X = normc( S*randn(d,N) );
O = normc(randn(D,M));
Xtilde = [X O];

%% estimate the subpsace S
mu_min = 1e-15; %you can inrease mu_min to reduce the time
maxiter = 200;
[time, B,distances] = DPCP_PSGM_optim(Xtilde, c,mu_min,maxiter);
fprintf(['principal angle between estimated and true subspaces \n is ', num2str(asin(norm(B'*S))*180/pi) ' degree \n'])