function [tL21, e, normal] = RPCA_L21_OutlierDetection(Y,tau,lambda,budget)

tstart = tic;
% L21 robust PCA
[L, E,iter] = rpca(Y, 'L21', tau, lambda,budget);
disp(['L21 runs ',num2str(iter),' iterations']);
% disp(size(L));
% disp(size(E));

% e = sqrt(sum(E .* E)); % Yifan's version

[U,~,~] = svd(L*L');
normal = U(:,end);

e = Y'*normal;

tL21 = toc(tstart);
% % determine threshold
% if threshold == -1
%     threshold = mean(e);
% end
% 
% % detect outliers
% outlier_indices = find(e >= threshold);
% inlier_indices = find(e < threshold);

end



