function [TPR, FPR] = calTNR(pred, gt, idx)
    TP = intersect(pred, gt);
    F = setdiff(idx, gt);
    FP = intersect(pred, F);
    TPR = size(TP, 2) / size(gt, 2);
    FPR = size(FP, 2) / size(F, 2);
end

